Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.runtime
Interface RowManager

All Known Implementing Classes:
  StateImageIndicator.CustomUpdate

public interface RowManager

Manages rows during an insert/update/delete process. Row managers do not have to be threadsafe.

Method Summary
`void` | `flushAllRows(com.solarmetric.rd.kodo.impl.jdbc.runtime.Row row)` Flush the logical row.
`void` | `flushSecondaryRow(com.solarmetric.rd.kodo.impl.jdbc.runtime.Row row)` Flush the secondary row; after flushing the row is available for reuse.
`com.solarmetric.rd.kodo.impl.jdbc.runtime.Row` | `getAllRows(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table, int action)` Return a logical row representing an update that should be made to all rows of the given table.
`com.solarmetric.rd.kodo.impl.jdbc.runtime.Row` | `getRow(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table, int action, java.lang.Object oid, boolean create)` Return the row for the given table and owner object, or null if `create` is false and the row has not already been created.
`com.solarmetric.rd.kodo.impl.jdbc.runtime.Row` | `getSecondaryRow(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table, int action)` Return a row for the given secondary table.

Method Detail

### getRow

    public com.solarmetric.rd.kodo.impl.jdbc.runtime.Row getRow(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table,
                                                                int action,
                                                                java.lang.Object oid,
                                                                boolean create)

  Return the row for the given table and owner object, or null if `create` is false and the row has not already been created. The action must be one of `Row.ACTION_INSERT`, `Row.ACTION_UPDATE`, `Row.ACTION_DELETE`.

### getSecondaryRow

    public com.solarmetric.rd.kodo.impl.jdbc.runtime.Row getSecondaryRow(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table,
                                                                         int action)
                                                                  throws java.sql.SQLException

  Return a row for the given secondary table. The action must be one of `Row.ACTION_INSERT`, `Row.ACTION_UPDATE`, `Row.ACTION_DELETE`.

    `java.sql.SQLException`

### flushSecondaryRow

    public void flushSecondaryRow(com.solarmetric.rd.kodo.impl.jdbc.runtime.Row row)
                           throws java.sql.SQLException

  Flush the secondary row; after flushing the row is available for reuse. It will retain all previously set values.

    `java.sql.SQLException`

### getAllRows

    public com.solarmetric.rd.kodo.impl.jdbc.runtime.Row getAllRows(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table,
                                                                    int action)

  Return a logical row representing an update that should be made to all rows of the given table. The action must be one of `Row.ACTION_UPDATE`, `Row.ACTION_DELETE`.

### flushAllRows

    public void flushAllRows(com.solarmetric.rd.kodo.impl.jdbc.runtime.Row row)
                      throws java.sql.SQLException

  Flush the logical row.

    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.